Skip to main content
GET
Retrieve a function from a given definition

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app associated with the function.

definitionId
string
required

The unique identifier of the definition to which the function belongs.

functionId
string
required

The unique identifier of the function to retrieve.

functionType
enum<string>
required

The type of function to retrieve. Valid values are PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS, POST_FETCH_OPTIONS, and POST_ACTION_EXECUTION.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Response

successful operation

functionSource
string
required

The source code or script that defines the function's behavior.

functionType
enum<string>
required

The type of function, with accepted values: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

The unique identifier for the action function.

Last modified on September 9, 2026